#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.2
visibility:           public
id:                   persistent-test-2.13.1.2-G7FNxG7pU7DDJdr1BNaWdX
key:                  persistent-test-2.13.1.2-G7FNxG7pU7DDJdr1BNaWdX
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  2f5a1ea88e134cf2431ad9870348420c
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.2-G7FNxG7pU7DDJdr1BNaWdX
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.3-CQrltMH9CDMIjEPyrki3TE
    aeson-2.1.2.1-C2lvYQBBKZqBmgtqDyQIib base-4.15.1.0
    blaze-html-0.9.1.2-CxyLr2IFqCO7z8E5UqfAvU bytestring-0.10.12.1
    conduit-1.3.5-LZOcxy33cqcBpisPJFR69D containers-0.6.4.1
    exceptions-0.10.4 hspec-2.10.9-BH4qULbZrlnJSXuDrhUJHT
    hspec-expectations-0.8.3-GtEFyAkIxMfL6yE5lKnMix
    http-api-data-0.5.1-1C3qPQmBs9IE20eOPG1TPN
    monad-control-1.0.3.1-Ijgi8TtyZdu5lBtZ9JFBkC
    monad-logger-0.3.40-AMHsR3ZyImhDLd3Ep2SHWX mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.5-7ffekPfbI5XL2GGA5BjA1m
    quickcheck-instances-0.3.30-69wDyryfPyI8JbDUtSdJn1
    random-1.2.1.1-IvJyCZOiT9MCISTYBmDLQY
    resourcet-1.2.6-23yLJyvo719CvYWIjW3gEg text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-6Myxfxxu3ef5L4xzbyj508
    unliftio-0.2.25.0-hbDzkDhXgs3ijxQg1J2HF
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.20-JUpj03e9UBE4KYc3X7i8JW

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

